### File

`packages/eui-ecl/packages/core/src/lib/components/ecl-radio/ecl-radio.directive.ts`

### Extends

`ECLBaseDirective`

### Implements

`AfterContentInit` `OnChanges`

### Metadata

Selector | `[eclRadio]`

### Index

###### Properties
eclRadioHelpComponent eclRadioLabelComponent
###### Methods
getCssClasses
###### Inputs
isBinary isDisabled isInvalid class e2eAttr
###### HostBindings
class
###### Accessors
cssClasses

### Inputs

isBinary
Type : `boolean`

isDisabled
Type : `boolean`
Default value : `false`

isInvalid
Type : `boolean`
Default value : `false`

class
Type : `string`

e2eAttr
Type : `any`

### HostBindings

class
Type : `any`

### Methods

getCssClasses
`getCssClasses(rootClass: string)`
Parameters :
Name | Type | Optional
rootClass | `string` | No
Returns : `string`

### Properties

eclRadioHelpComponent
Type : `EclRadioHelpComponent`
Decorators : `@ContentChild(undefined)`

eclRadioLabelComponent
Type : `EclRadioLabelComponent`
Decorators : `@ContentChild(undefined)`

### Accessors

cssClasses
get `cssClasses()`

# results matching ""

# No results matching ""